# CreateConsentWording

> Save a consent wording for waitlist signup forms. Write access, waitlists toolset, MCP tool create_consent_wording.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `CreateConsentWordingInput!` | yes | Input object, below |  |

## Input types

### CreateConsentWordingInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `locale` | `String` | no | matches `^[a-z]{2}(-[A-Z]{2})?$` |  |
| `purpose` | `ConsentPurpose!` | yes | One of `MARKETING_EMAIL`, `WAITLIST_NOTICE` |  |
| `text` | `String!` | yes | 10 to 2000 characters |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CreateConsentWording","variables":{"input":{"purpose":"MARKETING_EMAIL","text":"…"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"10b3072cc236b5dcba0e760c7d00c0b29052d8e9069a3964b19c0d8f6a73b370"}}}'
```

## Document

```graphql
mutation CreateConsentWording($input: CreateConsentWordingInput!) { __typename createConsentWording(input: $input) { __typename userErrors { __typename code field message } wordingId } }
```

Source: https://developer.missin.co.uk/reference/waitlists/create-consent-wording
